This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 190346 - Review Request: vdr-subtitles - DVB subtitles plugin for VDR
Review Request: vdr-subtitles - DVB subtitles plugin for VDR
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On: 190343
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-01 10:07 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-12 04:22:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-05-01 10:07:04 EDT
http://cachalot.mine.nu/5/SRPMS/vdr-subtitles-0.3.11-2.src.rpm

There are two subtitling services specified in the DVB standards.  One
is the teletext subtitles and the other one is DVB subtitles.  The
main difference between these two is that the teletext subtitles are
text (sent via teletext service) and DVB subtitles are pixel-based
graphics.  This plugin implements a DVB subtitles decoder for VDR.
The plugin decodes and displays the subtitles and also adds the
selected subtitling streams to the VDR recordings.
Comment 1 Ville Skyttä 2006-05-06 14:43:35 EDT
http://cachalot.mine.nu/5/SRPMS/vdr-subtitles-0.4.0-1.src.rpm

* Sat May  6 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.4.0-1
- 0.4.0.

Comment 2 Till Maas 2006-08-24 16:59:30 EDT
The URL to the spec file is missing.
Comment 3 Ville Skyttä 2006-08-24 17:56:04 EDT
See bug 190344 comment 2.
Comment 4 Kevin Fenzi 2006-11-11 23:48:04 EST
To add my 2 cents, I also like to have .spec files linked to reviews. 
It does make it easier to see whats going on with a package without 
having to pull down and unpack the src.rpm. 

That said, here's a review of this package: 


OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
74780f7f296f1feac13f4358b97bd2f3  vdr-subtitles-0.4.0.tgz
74780f7f296f1feac13f4358b97bd2f3  vdr-subtitles-0.4.0.tgz.1

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
x86_64/i386 - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. The debian patch at:

http://zap.tartarus.org/~ds/debian/dists/unstable/main/source/vdr-plugin-subtitles_0.3.11-1.ds.diff.gz

is old. Looks like there is a 0.4.0 version there now.
Perhaps updating to that will let you remove a sed in there for the version?

I don't see any blockers however, so this package is APPROVED.
Don't forget to close this NEXTRELEASE once it's been imported and built.
Comment 5 Ville Skyttä 2006-11-12 04:22:35 EST
I had the "ds" patch updated already in a local copy, now done in the imported
package too.  Built for devel, owners list and comps updated, FC-5 and FC-6
branches requested.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.